﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default"
	MasterPageFile="~/Site.master" debug="true"%>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
	<telerik:RadAjaxLoadingPanel runat="server" ID="RadajaxLoadingPanel1" Skin="Default" />
	
	<telerik:RadAjaxManager runat="server" ID="RadAjaxManager1">
		<AjaxSettings>
			<telerik:AjaxSetting AjaxControlID="RadGrid1">
				<UpdatedControls>
					<telerik:AjaxUpdatedControl ControlID="RadGrid1"  LoadingPanelID="RadajaxLoadingPanel1"/>
				</UpdatedControls>
			</telerik:AjaxSetting>
		</AjaxSettings>
	</telerik:RadAjaxManager>

	<telerik:RadGrid ID="RadGrid1" runat="server" DataSourceID="CustomersDS" AllowPaging="True" PageSize="10">
		<ClientSettings>
			<Selecting AllowRowSelect="True"></Selecting>
		</ClientSettings>
		<MasterTableView DataSourceID="CustomersDS" Name="Master" DataKeyNames="CustomerID"
			ClientDataKeyNames="CustomerID">
			<DetailTables>
				<telerik:GridTableView DataKeyNames="OrderID" ClientDataKeyNames="OrderID" DataSourceID="OrdersDS"
					Width="100%" runat="server">
				</telerik:GridTableView>
			</DetailTables>
		</MasterTableView>
		<FilterMenu EnableImageSprites="False">
		</FilterMenu>
	</telerik:RadGrid>
	<asp:EntityDataSource ID="CustomersDS" runat="server" ConnectionString="name=NWEntities"
		DefaultContainerName="NWEntities" EnableFlattening="False" EntitySetName="Customers"
		Select="it.[CustomerID], it.[CompanyName], it.[ContactName], it.[ContactTitle], it.[Address], it.[City], it.[Country]"
		OrderBy="it.CustomerID">
	</asp:EntityDataSource>
	<asp:EntityDataSource ID="OrdersDS" runat="server" ConnectionString="name=NWEntities"
		DefaultContainerName="NWEntities" EnableFlattening="False" EntitySetName="Orders"
		Select="it.[OrderID], it.[CustomerID], it.[OrderDate], it.[RequiredDate], it.[ShippedDate], it.[ShipVia], it.[ShipCity]"
		OrderBy="it.OrderID">
	</asp:EntityDataSource>
</asp:Content>
